%define upstream_name	  Email-MIME-Encodings
%define upstream_version 1.315

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    A unified interface to MIME encoding and decoding
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(MIME::Base64) >= 3.50.0
BuildRequires: perl(MIME::QuotedPrint) >= 3.50.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(blib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module simply wraps MIME::Base64 and MIME::QuotedPrint so that you can
throw the contents of a Content-Transfer-Encoding header at some text and have
the right thing happen.
Provides a number of useful methods for manipulating MIME messages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.315.0-2.mga4
+ Revision: 531955
- Mageia 4 Mass Rebuild

* Tue Aug 13 2013 sander85 <sander85> 1.315.0-1.mga4
+ Revision: 466056
- update to 1.315

* Tue Jul 09 2013 jquelin <jquelin> 1.314.0-1.mga4
+ Revision: 451969
- update to 1.314

* Sun Jan 13 2013 umeabot <umeabot> 1.313.0-2.mga3
+ Revision: 366819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.313.0-1.mga1
+ Revision: 26096
- mageia rebuild
- imported package perl-Email-MIME-Encodings


* Wed May 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.313.0-1mdv2010.0
+ Revision: 377826
- new version
- new release
- standardised version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.31.1-3mdv2009.0
+ Revision: 241211
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.31.1-1mdv2008.0
+ Revision: 48065
- update to new version 1.311


* Thu Sep 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.31.0-1mdv2007.0
- new version

* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.3-2mdv2007.0
- Rebuild

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.3-1mdk
- first mdk release

